PROGRAM rightdelete;
{$R rightdelete.REC}

USES
  Forms,
  windows,
  unit1 IN 'unit1.pas' {Form1},
  Unit2 IN 'Unit2.pas' {Form2};

{$R *.res}
{$R XPTHeme.res}

PROCEDURE SetAsMainForm(aForm: TForm);
VAR
  P: Pointer;
BEGIN
  P := @Application.Mainform;
  Pointer(P^) := aForm;
END;

VAR
  Mutex: tHandle;
BEGIN
  Mutex := CreateMutex(NIL, True, 'rd_application');
  IF (GetLastError = ERROR_ALREADY_EXISTS) THEN
    HALT
  ELSE BEGIN
    Application.Initialize;
    Application.Title := 'RightDelete';
    Application.CreateForm(TForm1, Form1);
    Application.CreateForm(TForm2, Form2);
    IF paramcount = 0 THEN
      SetAsMainForm(Form2);
    Application.Run;
    IF (Mutex <> 0) THEN CloseHandle(Mutex);
  END;

END.

